--[[
	Comet example
	Real-time plot
]]

x = {}
y = {}
x[1] = 1
-- random number between 0 and 1
y[1] = math.random()

p = plot.new(800,600)              -- create a plot
plot.add(p, x, y)                  -- add curve to the new plot
plot.set(p, 1, "size", 2)          -- set curve #1 line size
plot.set(p, 1, "style", "-o")      -- set curve #1 style (line and marker)
plot.set(p, "maxpoints", 21)       -- set the maximum number of points per curve
plot.set(p, "autolim", "true")     -- automatically set the axis limits
plot.update(p)

-- the total number of points (only the last 21 points will be displayed)
n = 100
-- update the curve every 200 milliseconds
for i = 2, n, 1 do
	x[1] = i
	y[1] = math.random()            -- random number between 0 and 1
	plot.add(p, 1, x, y)            -- add new data to curve #1
	time.sleep(300)                 -- sleep during 300 milliseconds
end
